| THM1176InstrumentDriver 1.2 C++ API for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::CException< A > Class Template Reference

Exception to be thrown. More...

`#include <Exception.h>`

Inheritance diagram for MTL::CException< A >:
[legend]
Collaboration diagram for MTL::CException< A >:
[legend]

## Public Member Functions
| CException (std::string const &rMessage, std::string const &rThrownLocation)
| Constructor.
virtual const char * | what () const noexcept
| Return string describing what happened.
const char * | message () const noexcept
| Return the message.
const char * | context () const noexcept
| Return the context.

## Protected Attributes
std::string | m_Message
| Message describing the exception.
std::string | m_ThrownLocation
| Context in which exception was thrown.
std::string | m_What
| Debugging output, with message and location.

## Detailed Description

template<class A>
class MTL::CException< A >

Exception to be thrown.

Template Parameters

  A | Specialization of exception.

Definition at line 16 of file Exception.h.

## Constructor & Destructor Documentation

## ◆ CException()

template<class A>

MTL::CException< A >::CException | ( | std::string const & | rMessage,
|  | std::string const & | rThrownLocation )
| inline

Constructor.

Parameters

  [in] | rMessage | Message describing the exception.
  [in] | rThrownLocation | Context in which exception was thrown

Definition at line 27 of file Exception.h.

## Member Function Documentation

## ◆ context()

template<class A>

const char * MTL::CException< A >::context | ( |  | ) | const
| inline noexcept

Return the context.

Definition at line 46 of file Exception.h.

## ◆ message()

template<class A>

const char * MTL::CException< A >::message | ( |  | ) | const
| inline noexcept

Return the message.

Definition at line 40 of file Exception.h.

## ◆ what()

template<class A>

virtual const char * MTL::CException< A >::what | ( |  | ) | const
| inline virtual noexcept

Return string describing what happened.

Definition at line 34 of file Exception.h.

## Member Data Documentation

## ◆ m_Message

template<class A>

std::string MTL::CException< A >::m_Message
| protected

Message describing the exception.

Definition at line 19 of file Exception.h.

## ◆ m_ThrownLocation

template<class A>

std::string MTL::CException< A >::m_ThrownLocation
| protected

Context in which exception was thrown.

Definition at line 20 of file Exception.h.

## ◆ m_What

template<class A>

std::string MTL::CException< A >::m_What
| protected

Debugging output, with message and location.

Definition at line 21 of file Exception.h.

The documentation for this class was generated from the following file:

- Common/Utility/include/Exception.h